IC2 INSTALLATION CONFUSION

  • Can someone help me install Industrial craft 2? if it matters, any mod i download becomes a notepad when i download it. I look at videos on how to install ic2 and it looks like they have mods as a executable jav file while i just have a notepad for my mods. so far ic2 is very dependent towards my other mods such as warp drive but i cant install it. help please. to be more descriptive when i download ic2, i put the notepad in my mod folder. but within the mod folder out of no where a folder called ic2 appers. now i have 2 things in my mod folder that have to do with the mod itself: the folder named ic2 with a notepad in it and a notepad in my mod folder that is the thing i downloaded mod. Please help i have many mods that rely on this one and if i cant get this one working then im screwed.

  • Example: I use Google Chrome on my Windows PC.


    1. I go to IC2 wiki.

    2. I use the link at top center to go to the IC2 1.12 Jenkins.

    3. I pick the last of the top center links, industrialcraft-2-2.8.111-ex112.jar.

    4. The file downloads, but google Chrome puts an alert at the bottom of my screen, saying "this file is dangerous". I have to press "Keep".

    5. Finally, I can go to my download location, copy or move the file to the .minecraft\mods folder.

  • I use windows 10 with google chrome. and it still makes my mod downloads a notepad. no matter what i do i will always hav the ic2 notepad then the folder named ic2. when i run the game, it crashes. I have tryed to delete the folder or put the ic2 notepad in the folder to see what happens but it dosnt work. i will see what the crash error says.

  • I downloaded the one at the top and nothing happened when i loaded into minecraft (the mod didnt show up)

    I tryed the one below it and the game crashed giving me this message "The game crashed whilst there was a severe problem during mod loading that has caused the game to fail
    Error: cpw.mods.fml.common.LoaderException: java.lang.Error: IC2 is incompatible with this environment, use the normal IC2 version, not the dev one."

    The 3rd one crashed saying that there was an unexpected error.

  • The newest version for 1.7.10 is here. So long as the extension is a .jar it doesn't really matter what Windows thinks it is opened by. If it is crashing though the crash report would be helpful (and quite necessary) to be able to help further into why its crashing. You've downloaded the dev version instead of the normal one, replacing it with the one I linked should be all you need.

    145 Mods isn't too many. 9 types of copper and 8 types of tin aren't too many. 3 types of coffee though?

    I know that you believe that you understood what you think I said, but I am not sure you realise that what you read was not what I meant.


    ---- Minecraft Crash Report ----
    // I just don't know what went wrong :(


    I see this too much.

  • but does it matter that the dowload is a notepad jar? even if not then why does another folder pop in my mods folder called ic2 with a notepad inside it labbled "EJML-core-0.26"

  • What opens the file does not matter, notepad or something else. as long as the file downloaded is titled "industrialcraft-2-2.2.828-experimental.jar" (turn on your extensions if you cannot see the .jar), then it is the correct file.


    you might have other mods causing problems, and for that we will need crash logs. I'll leave crash logs to others to decipher :)

  • You definitely need the EJML-Core jar, IC2 is the one creating that every time Minecraft starts (which is a good sign up to the point that IC2 must be reasonably intact). If it's crashing still though like albijoe says we'll need to see what the crash report says before it's possible to help with it.

    145 Mods isn't too many. 9 types of copper and 8 types of tin aren't too many. 3 types of coffee though?

    I know that you believe that you understood what you think I said, but I am not sure you realise that what you read was not what I meant.


    ---- Minecraft Crash Report ----
    // I just don't know what went wrong :(


    I see this too much.

  • I tried to run the mod by itself with no other mods loaded and it crashed only saying that there was a unexpected error again.could this be a problem with my forge launcher? im pretty sure i have the latest version of 1.7.10. should i get the recommended one? or if it really is a big problem then should i just install it for another version?

    Edit: can i get the latest download link for ic2 1.12.2

  • The latest 1.2.2 is This one.


    If you go to the "latest 1.12.2 IC2 Jenkins" from the wiki, just remember you DON'T want the DEV, or API, or anything extra version... just "normal". That's the 3rd link / bottom link in the center "latest successful" section.


    EDIT: does the game run with Forge and no mods? If it's not running with NO mods, it's possible Forge is not loaded correctly.

  • Never mind you guys. i was done dealling with all of the troble so i got it on 1.12.2. Thanks for the help i can finnaly start using my other mods no because lots of them depend on ic2. Thanks!:thumbup:

  • yea that happened to me. i decided to just get it for a newer version and it works but i realized that the mod that i use that needs ic2 is only in 1.7.10 so i have to figure this thing out

  • i extracted the ic2 notepad and put everything to do with ic2 into the folder it created. it crashed giving me this error -The game crashed whilst there was a severe problem during mod loading that has caused the game to fail

    Error: cpw.mods.fml.common.LoaderException: java.lang.NoClassDefFoundError: ic2/api/recipe/IRecipeInput